org.jfree.chart.plot.dial

## Class DialBackground

- java.lang.Object
- - org.jfree.chart.plot.dial.AbstractDialLayer
  - - org.jfree.chart.plot.dial.DialBackground

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialLayer, org.jfree.util.PublicCloneable

    public class DialBackground
    extends AbstractDialLayer
    implements DialLayer, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A regular dial layer that can be used to draw the background for a dial.

Since:
  1.0.7
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DialBackground()` Creates a new instance of `DialBackground`.
`DialBackground(java.awt.Paint paint)` Creates a new instance of `DialBackground`.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of this instance.
`void` `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the background to the specified graphics device.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`org.jfree.ui.GradientPaintTransformer` `getGradientPaintTransformer()` Returns the transformer used to adjust the coordinates of any `GradientPaint` instance used for the background paint.
`java.awt.Paint` `getPaint()` Returns the paint used to fill the background.
`int` `hashCode()` Returns a hash code for this instance.
`boolean` `isClippedToWindow()` Returns `true` to indicate that this layer should be clipped within the dial window.
`void` `setGradientPaintTransformer(org.jfree.ui.GradientPaintTransformer t)` Sets the transformer used to adjust the coordinates of any `GradientPaint` instance used for the background paint, and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setPaint(java.awt.Paint paint)` Sets the paint for the dial background and sends a `DialLayerChangeEvent` to all registered listeners.

### Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer

`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.plot.dial.DialLayer

`addChangeListener, hasListener, isVisible, removeChangeListener`

### Constructor Detail

#### DialBackground

    public DialBackground()

Creates a new instance of `DialBackground`. The default background paint is `Color.white`.

#### DialBackground

    public DialBackground(java.awt.Paint paint)

Creates a new instance of `DialBackground`. The

Parameters:
  `paint` - the paint (`null` not permitted).
Throws:
  `java.lang.IllegalArgumentException` - if `paint` is `null`.

### Method Detail

#### getPaint

    public java.awt.Paint getPaint()

Returns the paint used to fill the background.

Returns:
  The paint (never `null`).
See Also:
  `setPaint(Paint)`

#### setPaint

    public void setPaint(java.awt.Paint paint)

Sets the paint for the dial background and sends a `DialLayerChangeEvent` to all registered listeners.

Parameters:
  `paint` - the paint (`null` not permitted).
See Also:
  `getPaint()`

#### getGradientPaintTransformer

    public org.jfree.ui.GradientPaintTransformer getGradientPaintTransformer()

Returns the transformer used to adjust the coordinates of any `GradientPaint` instance used for the background paint.

Returns:
  The transformer (never `null`).
See Also:
  `setGradientPaintTransformer(GradientPaintTransformer)`

#### setGradientPaintTransformer

    public void setGradientPaintTransformer(org.jfree.ui.GradientPaintTransformer t)

Sets the transformer used to adjust the coordinates of any `GradientPaint` instance used for the background paint, and sends a `DialLayerChangeEvent` to all registered listeners.

Parameters:
  `t` - the transformer (`null` not permitted).
See Also:
  `getGradientPaintTransformer()`

#### isClippedToWindow

    public boolean isClippedToWindow()

Returns `true` to indicate that this layer should be clipped within the dial window.

Specified by:
  `isClippedToWindow` in interface `DialLayer`
Returns:
  `true`.

#### draw

    public void draw(java.awt.Graphics2D g2,
            DialPlot plot,
            java.awt.geom.Rectangle2D frame,
            java.awt.geom.Rectangle2D view)

Draws the background to the specified graphics device. If the dial frame specifies a window, the clipping region will already have been set to this window before this method is called.

Specified by:
  `draw` in interface `DialLayer`
Parameters:
  `g2` - the graphics device (`null` not permitted).
  `plot` - the plot (ignored here).
  `frame` - the dial frame (ignored here).
  `view` - the view rectangle (`null` not permitted).

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractDialLayer`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `AbstractDialLayer`
Returns:
  The hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of this instance.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `AbstractDialLayer`
Returns:
  The clone.
Throws:
  `java.lang.CloneNotSupportedException` - if some attribute of this instance cannot be cloned.